GDB (xrefs)

Public Attributes | List of all members
objfile_pspace_info Struct Reference

## Public Attributes
struct obj_section ** | sections
int | num_sections
int | new_objfiles_available
int | section_map_dirty
int | inhibit_updates

## Detailed Description

Definition at line 66 of file objfiles.c.

## Member Data Documentation

## ◆ inhibit_updates

int objfile_pspace_info::inhibit_updates

Definition at line 79 of file objfiles.c.

Referenced by find_pc_section(), inhibit_section_map_updates(), and resume_section_map_updates().

## ◆ new_objfiles_available

int objfile_pspace_info::new_objfiles_available

Definition at line 73 of file objfiles.c.

Referenced by find_pc_section(), objfile::objfile(), and update_section_map().

## ◆ num_sections

int objfile_pspace_info::num_sections

Definition at line 69 of file objfiles.c.

Referenced by find_pc_section().

## ◆ section_map_dirty

int objfile_pspace_info::section_map_dirty

Definition at line 76 of file objfiles.c.

Referenced by find_pc_section(), objfile_relocate1(), objfiles_changed(), update_section_map(), and objfile::~objfile().

## ◆ sections

struct obj_section** objfile_pspace_info::sections

Definition at line 68 of file objfiles.c.

Referenced by find_pc_section(), and objfiles_pspace_data_cleanup().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/objfiles.c